#!/usr/bin/make -f
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_after_dh_clean:
	rm -rf build python-pypump.egg-info
	rm -rf docs/_build/

override_dh_sphinxdoc:
	python3 -m sphinx -b html docs $(CURDIR)/debian/python-pypump-doc/usr/share/doc/python-pypump-doc/html
	dh_sphinxdoc

	# # This version pypump-shell needs the path $HOME/.config/
	# # to exist for it to build correctly, so I'm adding it
	# # manually for now.
	# help2man --no-info \
	# -n 'sets up an environment and oauth tokens and allows for interactive testing' \
	# --version-string=0.5.1 "/usr/bin/env python2.7 $(CURDIR)/pypump-shell" > $(CURDIR)/debian/pypump-shell.1
